Skip to content
Myra Online Help Updated · 21 Aug 2026

Listing all users of an organisation

Sends a GET request to the endpoint /organisations/{organisation}/users.

Description

The List-Organisation-Users request returns a list of all users of a specified organisation, with the exception of agent accounts.

Requirements

Values of the request: Organisation ID {organisation}

Objects: none

Request

To request a list of all users of an organisation, add the Organisation ID {organisation} to the path of the request.

As a result, the user gets one or more objects UserVO with the requested information.

The object provides the following information:

Attributes Description Values
id The ID of the user. string
name The full name of the user. string
email The email address of the user. string
role The role of the user within the organisation.
  • admin
  • editor
status The current status of the user account. string
invitedSince The date on which the user was invited, or empty if the invitation has already been accepted. string($date-time)
has2Fa Defines whether two-factor authentication is enabled for the user.
  • true
  • false
notifications_enabled Defines whether the user receives alert emails.
  • true
  • false

The result can optionally be filtered with the notificationsEnabled query parameter to return only users who receive alert emails.

Example

Example response:

[
  {
    "id": "xY9pQ5wR1",
    "name": "Max Mustermann",
    "email": "max@mustermann.de",
    "has2Fa": false,
    "permissions": {},
    "activeOrganisation": {
      "id": "xY9pQ5wR1",
      "name": "Test Organisation"
    },
    "hasActiveMitigations": false,
    "hasSiem": false,
    "invitedSince": "2024-01-15 10:30:00",
    "status": "active",
    "role": "admin",
    "teams": [
      {
        "id": "xY9pQ5wR1",
        "name": "Test Organisation"
      }
    ],
    "teams_as_admin": [
      {
        "id": "xY9pQ5wR1",
        "name": "Test Organisation"
      }
    ],
    "features": [
      {
        "name": "L_NUMBER",
        "value": null,
        "enabled": 1
      }
    ]
  }
]

Responses

The following responses are available:

STATUS CODE DESCRIPTION
200 The request has succeeded.
401 The request has not succeeded because the user authentication was incorrect.
403 The request has not succeeded because the user does not have the right permissions.